import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.edge.EdgeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.Assert;
import org.testng.annotations.*;

import java.util.List;

public class MainPageTest {

    private WebDriver driver;
    private WebDriverWait wdw;

    @BeforeMethod
    public void setBrowser() {

//        //Nastavení prohlížeče Google Chrome
        System.setProperty("webdriver.chrome.driver","src/test/resources/WebDriver/chromedriver.exe");
        driver = new ChromeDriver();
        driver.manage().window().maximize();

//        Nastavení prohlížeče Microsoft Edge
//        System.setProperty("webdriver.edge.driver","src/test/resources/WebDriver/msedgedriver.exe");
//        driver = new EdgeDriver();
//        driver.manage().window().maximize();

        //WebDriverWait
        wdw = new WebDriverWait(driver, 60);
    }

    @AfterMethod
    public void closeBrowser() {
//        driver.close();
        driver.quit();
    }

    @Test
    public void TS1() throws InterruptedException {
        System.out.println("TS1 - Registrace");
        System.out.println("Otevřít adresu url: http://dresville.utipa.info/");
        driver.navigate().to("http://dresville.utipa.info/");
        Thread.sleep(1000);
        Assert.assertEquals("CUSTOMISEE.COM",driver.findElement(By.xpath("//header/a/h1")).getText(),"Nadpis stránky není správný!");
        System.out.println("Stránka obsahuje nadpis CUSTOMISEE.COM - úspěšné načtení stránky");
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/admin')]")).click();
        System.out.println("Kliknutí na tlačítko \"PŘIHLÁSIT SE\"");
        Thread.sleep(500);
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'PŘEPNOUT NA REGISTRACI')]")).size()!=0,"Tlačítko \"PŘEPNOUT NA REGISTRACI\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'PŘEPNOUT NA REGISTRACI')]")).click();
        System.out.println("Kliknutí na tlačítko \"PŘEPNOUT NA REGISTRACI\"");
        Thread.sleep(500);
        JavascriptExecutor js = (JavascriptExecutor) driver;
        System.out.println("Vyplnění registračního formuláře");
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='firstName']")).size()!=0,"Pole Jméno není dostupné!");
        WebElement inputJmeno = driver.findElement(By.xpath("//input[@name='firstName']"));
        js.executeScript("arguments[0].value ='" + "Selenium" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputJmeno);
        System.out.println("//input[@name='firstName'] - Selenium");
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='lastName']")).size()!=0,"Pole Příjmení není dostupné");
        WebElement inputPrijmeni = driver.findElement(By.xpath("//input[@name='lastName']"));
        js.executeScript("arguments[0].value ='" + "Test" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputPrijmeni);
        System.out.println("//input[@name='lastName'] - Test");
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='email']")).size()!=0,"Pole Email není dostupné");
        WebElement inputEmail = driver.findElement(By.xpath("//input[@name='email']"));
        js.executeScript("arguments[0].value ='" + "seleniumChromeJava@test.cz" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputEmail);
        System.out.println("//input[@name='email'] - seleniumChromeJava@test.cz");
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='password']")).size()!=0,"Pole Heslo není dostupné");
        WebElement inputHeslo = driver.findElement(By.xpath("//input[@name='password']"));
        js.executeScript("arguments[0].value ='" + "seleniumtest" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputHeslo);
        System.out.println("//input[@name='password'] - seleniumtest");
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'REGISTROVAT SE')]")).size()!=0,"Tlačítko \"REGISTROVAT SE\" není dostupné!");
//        driver.findElement(By.xpath("//button[contains(text(),'REGISTROVAT SE')]")).click();
//        System.out.println("Kliknutí na tlačítko \"REGISTROVAT SE\"");
//        Thread.sleep(1000);
//        Assert.assertEquals("seleniumChromeJava@test.cz",driver.findElement(By.xpath("//header/p")).getText(),"Registrace neúspěšná!");
//        System.out.println("Registrace úspěšná");
//        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'ODHLÁSIT SE')]")).size()!=0,"Tlačítko \"ODHLÁSIT SE\" není dostupné!");
//        driver.findElement(By.xpath("//button[contains(text(),'ODHLÁSIT SE')]")).click();
//        System.out.println("Kliknutí na tlačítko \"ODHLÁSIT SE\"");
//        Thread.sleep(500);
//        Assert.assertTrue(driver.findElements(By.xpath("//header/a/button[contains(text(),'PŘIHLÁSIT SE')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
//        System.out.println("Odhlášení úspěšné - tlačítko \"PŘIHLÁSIT SE\" je dostupné ");
//        System.out.println("Konec testu TS1 - Registrace");
   }

    @Test
    public void TS2() throws InterruptedException {

        System.out.println("TS2");
        System.out.println("Otevřít adresu url: http://dresville.utipa.info/");
        driver.navigate().to("http://dresville.utipa.info/");
        Thread.sleep(1000);

        wdw.until(ExpectedConditions.presenceOfElementLocated(By.xpath("//header/a/h1")));
        Assert.assertEquals("CUSTOMISEE.COM",driver.findElement(By.xpath("//header/a/h1")).getText(),"Nadpis stránky není správný!");
        System.out.println("Stránka obsahuje nadpis CUSTOMISEE.COM - úspěšné načtení stránky");
        Thread.sleep(500);

        System.out.println("Kliknutí na tlačítko \"PŘIHLÁSIT SE\"");
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/admin')]")).click();
        Thread.sleep(500);

        JavascriptExecutor js = (JavascriptExecutor) driver;
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='email']")).size()!=0,"Pole Email není dostupné!");
        WebElement inputEmail = driver.findElement(By.xpath("//input[@name='email']"));
        js.executeScript("arguments[0].value ='" + "selenium@test.cz" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputEmail);
        System.out.println("//input[@name='email'] - selenium@test.cz");

        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='password']")).size()!=0,"Pole Heslo není dostupné!");
        WebElement inputHeslo = driver.findElement(By.xpath("//input[@name='password']"));
        js.executeScript("arguments[0].value ='" + "seleniumtest" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputHeslo);
        System.out.println("//input[@name='password'] - seleniumtest");
        Thread.sleep(500);
        System.out.println("Kliknutí na tlačítko \"PŘIHLÁSIT SE\"");
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//form/button[contains(text(),'PŘIHLÁSIT SE')]")).click();
        Thread.sleep(1000);

        Assert.assertEquals("selenium@test.cz",driver.findElement(By.xpath("//header/p")).getText(),"Přihlášení neúspěšné!");
        System.out.println("Příhlášení úspěšné");
        Thread.sleep(500);

        //Nastavení účtu
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'NASTAVENÍ ÚČTU')]")).size()!=0,"Tlačítko \"NASTAVENÍ ÚČTU\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'NASTAVENÍ ÚČTU')]")).click();
        System.out.println("Kliknutí na tlačítko \"NASTAVENÍ ÚČTU\"");
        Thread.sleep(1000);

        //Assert tlačítko ULOŽIT ZMĚNY
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'ULOŽIT ZMĚNY')]")).size()!=0,"Tlačítko \"ULOŽIT ZMĚNY\" není dostupné!");
        System.out.println("Tlačítko \"ULOŽIT ZMĚNY\" je dostupné");


        //Jmeno
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='firstName']")).size()!=0,"Pole Jméno není dostupné!");
        WebElement inputJmeno = driver.findElement(By.xpath("//input[@name='firstName']"));
        js.executeScript("arguments[0].value ='" + "Selenium" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputJmeno);
        System.out.println("//input[@name='firstName'] - Selenium");
        //Prijmeni
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='lastName']")).size()!=0,"Pole Příjmení není dostupné!");
        WebElement inputPrijmeni = driver.findElement(By.xpath("//input[@name='lastName']"));
        js.executeScript("arguments[0].value ='" + "Test" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputPrijmeni);
        System.out.println("//input[@name='lastName'] - Test");
        //Prihlasovaci e-mail
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='email']")).size()!=0,"Pole Email není dostupné!");
//        js.executeScript("arguments[0].value ='" + "selenium@test.cz" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputEmail);
        System.out.println("//input[@name='email'] - selenium@test.cz");
        //Kontaktni telefon
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingPhone']")).size()!=0,"Pole Kontaktní telefon není dostupné!");
        WebElement inputMobil = driver.findElement(By.xpath("//input[@name='billingPhone']"));
        js.executeScript("arguments[0].value ='" + "777666222" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputMobil);
        System.out.println("//input[@name='billingPhone'] - 777666222");
        //Ulice a cislo popisne
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingStreet']")).size()!=0,"Pole Ulice není dostupné!");
        WebElement inputUlice = driver.findElement(By.xpath("//input[@name='billingStreet']"));
        js.executeScript("arguments[0].value ='" + "Vaňkova 11" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputUlice);
        System.out.println("//input[@name='billingStreet'] - Vaňkova 11");
        //Mesto
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingCity']")).size()!=0,"Pole Mesto není dostupné!");
        WebElement inputMesto = driver.findElement(By.xpath("//input[@name='billingCity']"));
        js.executeScript("arguments[0].value ='" + "Praha" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputMesto);
        System.out.println("//input[@name='billingCity'] - Praha");
        //PSC
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingPostalCode']")).size()!=0,"Pole PSC není dostupné!");
        WebElement inputPSC = driver.findElement(By.xpath("//input[@name='billingPostalCode']"));
        js.executeScript("arguments[0].value ='" + "11000" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputPSC);
        System.out.println("//input[@name='billingPostalCode'] - 11000");
        //Nazev firmy
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingCompanyName']")).size()!=0,"Pole Nazev firmy není dostupné!");
        WebElement inputFirma = driver.findElement(By.xpath("//input[@name='billingCompanyName']"));
        js.executeScript("arguments[0].value ='" + "ČZU" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputFirma);
        System.out.println("//input[@name='billingCompanyName'] - ČZU");
        //ICO
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingIco']")).size()!=0,"Pole ICO firmy není dostupné!");
        WebElement inputICO = driver.findElement(By.xpath("//input[@name='billingIco']"));
        js.executeScript("arguments[0].value ='" + "25099213" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputICO);
        System.out.println("//input[@name='billingIco'] - 25099213");
        //DIC
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='billingDic']")).size()!=0,"Pole DIC firmy není dostupné!");
        WebElement inputDIC = driver.findElement(By.xpath("//input[@name='billingDic']"));
        js.executeScript("arguments[0].value ='" + "DIČ" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDIC);
        System.out.println("//input[@name='billingDic'] - DIČ");
        //Dodaci jmeno
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='shippingFirstName']")).size()!=0,"Pole Dodací - Jméno firmy není dostupné!");
        WebElement inputDodaciJmeno = driver.findElement(By.xpath("//input[@name='shippingFirstName']"));
        js.executeScript("arguments[0].value ='" + "Selenium" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDodaciJmeno);
        System.out.println("//input[@name='shippingFirstName'] - Selenium");
        //Dodaci prijmeni
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='shippingLastName']")).size()!=0,"Pole Dodací - Příjmení firmy není dostupné!");
        WebElement inputDodaciPrijmeni = driver.findElement(By.xpath("//input[@name='shippingLastName']"));
        js.executeScript("arguments[0].value ='" + "Test" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDodaciPrijmeni);
        System.out.println("//input[@name='shippingLastName'] - Test");
        //Dodaci ulice a cislo popisne
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='shippingStreet']")).size()!=0,"Pole Dodací - Ulice není dostupné!");
        WebElement inputDodaciUlice = driver.findElement(By.xpath("//input[@name='shippingStreet']"));
        js.executeScript("arguments[0].value ='" + "Vaňkova 11" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDodaciUlice);
        System.out.println("//input[@name='shippingStreet'] - Vaňkova 11");
        //Dodaci mesto
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='shippingCity']")).size()!=0,"Pole Dodací - Město není dostupné!");
        WebElement inputDodaciMesto = driver.findElement(By.xpath("//input[@name='shippingCity']"));
        js.executeScript("arguments[0].value ='" + "Praha" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDodaciMesto);
        System.out.println("//input[@name='shippingCity'] - Praha");
        //PSC
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='shippingPostalCode']")).size()!=0,"Pole Dodací - PSČ není dostupné!");
        WebElement inputDodaciPSC = driver.findElement(By.xpath("//input[@name='shippingPostalCode']"));
        js.executeScript("arguments[0].value ='" + "11000" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputDodaciPSC);
        System.out.println("//input[@name='shippingPostalCode'] - 11000");

        //Ulozit zmeny
        driver.findElement(By.xpath("//form/button[contains(text(),'ULOŽIT ZMĚNY')]")).click();
        System.out.println("Kliknutí na tlačítko \"ULOŽIT ZMĚNY\"");
        Thread.sleep(500);
        Assert.assertTrue(driver.findElement(By.xpath("//div[contains(text(),'Změny uloženy')]")).isDisplayed(), "Změny nebyly uložny!");

        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/')]")).size()!=0,"Tlačítko \"HLAVNÍ STRÁNKA\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/')]")).click();
        System.out.println("Kliknutí na tlačítko \"HLAVNÍ STRÁNKA\"");

        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"HLAVNÍ MENU\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/admin')]")).click();
        System.out.println("Kliknutí na tlačítko \"HLAVNÍ MENU\"");

        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'NASTAVENÍ ÚČTU')]")).size()!=0,"Tlačítko \"NASTAVENÍ ÚČTU\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'NASTAVENÍ ÚČTU')]")).click();
        System.out.println("Kliknutí na tlačítko \"NASTAVENÍ ÚČTU\"");
        Thread.sleep(1000);

        //Assert udaju nastaveni uctu
        System.out.println("Assert - udaju nastaveni uctu");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='firstName']")).getAttribute("value"), "Selenium", "Jméno neodpovídá");
        System.out.println("Selenium - Selenium");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='lastName']")).getAttribute("value"), "Test", "Jméno neodpovídá");
        System.out.println("Test - Test");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='email']")).getAttribute("value"), "selenium@test.cz", "Email neodpovídá");
        System.out.println("selenium@test.cz - selenium@test.cz");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingPhone']")).getAttribute("value"), "777666222", "Telefon neodpovídá");
        System.out.println("777666222 - 777666222");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingStreet']")).getAttribute("value"), "Vaňkova 11", "Ulice neodpovídá");
        System.out.println("Vaňkova 11 - Vaňkova 11");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingCity']")).getAttribute("value"), "Praha", "Telefon neodpovídá");
        System.out.println("Praha - Praha");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingPostalCode']")).getAttribute("value"), "11000", "Telefon neodpovídá");
        System.out.println("11000 - 11000");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingCompanyName']")).getAttribute("value"), "ČZU", "Telefon neodpovídá");
        System.out.println("ČZU - ČZU");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingIco']")).getAttribute("value"), "25099213", "Telefon neodpovídá");
        System.out.println("25099213 - 25099213");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='billingDic']")).getAttribute("value"), "DIČ", "Telefon neodpovídá");
        System.out.println("DIČ - DIČ");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='shippingFirstName']")).getAttribute("value"), "Selenium", "Dodací - Jméno neodpovídá");
        System.out.println("Selenium - Selenium");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='shippingLastName']")).getAttribute("value"), "Test", "Dodací - Příjmení neodpovídá");
        System.out.println("Test - Test");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='shippingStreet']")).getAttribute("value"), "Vaňkova 11", "Dodací - Ulice neodpovídá");
        System.out.println("Vaňkova 11 - Vaňkova 11");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='shippingCity']")).getAttribute("value"), "Praha", "Dodací - Město neodpovídá");
        System.out.println("Praha - Praha");
        Assert.assertEquals(driver.findElement(By.xpath("//input[@name='shippingPostalCode']")).getAttribute("value"), "11000", "Dodací - PSČ neodpovídá");
        System.out.println("11000 - 11000");

        //Odhlášení
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'ODHLÁSIT SE')]")).size()!=0,"Tlačítko \"ODHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'ODHLÁSIT SE')]")).click();
        Thread.sleep(500);
        Assert.assertTrue(driver.findElements(By.xpath("//header/a/button[contains(text(),'PŘIHLÁSIT SE')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        System.out.println("Odhlášení úspěšné - tlačítko \"PŘIHLÁSIT SE\" je dostupné ");
    }

    @Test
    public void TS3() throws InterruptedException {

        System.out.println("TS3");
        System.out.println("Otevřít adresu url: http://dresville.utipa.info/");
        driver.navigate().to("http://dresville.utipa.info/");
        Thread.sleep(1000);

        wdw.until(ExpectedConditions.presenceOfElementLocated(By.xpath("//header/a/h1")));
        Assert.assertEquals("CUSTOMISEE.COM",driver.findElement(By.xpath("//header/a/h1")).getText(),"Nadpis stránky není správný!");
        System.out.println("Stránka obsahuje nadpis CUSTOMISEE.COM - úspěšné načtení stránky");
        Thread.sleep(500);

        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/admin')]")).click();
        System.out.println("Kliknutí na tlačítko \"PŘIHLÁSIT SE\"");
        Thread.sleep(500);
        //Prihlaseni do eshopu
        JavascriptExecutor js = (JavascriptExecutor) driver;
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='email']")).size()!=0,"Pole Email není dostupné!");
        WebElement inputEmail = driver.findElement(By.xpath("//input[@name='email']"));
        js.executeScript("arguments[0].value ='" + "selenium@test.cz" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputEmail);
        System.out.println("//input[@name='email'] - selenium@test.cz");
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='password']")).size()!=0,"Pole Heslo není dostupné!");
        WebElement inputHeslo = driver.findElement(By.xpath("//input[@name='password']"));
        js.executeScript("arguments[0].value ='" + "seleniumtest" + "'; arguments[0].focus(); arguments[0].blur(); return true", inputHeslo);
        System.out.println("//input[@name='password'] - seleniumtest");
        Thread.sleep(500);
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//form/button[contains(text(),'PŘIHLÁSIT SE')]")).click();
        System.out.println("Kliknutí na tlačítko \"PŘIHLÁSIT SE\"");
        Thread.sleep(1000);
        Assert.assertEquals("selenium@test.cz",driver.findElement(By.xpath("//header/p")).getText(),"Přihlášení neúspěšné!");
        System.out.println("Příhlášení úspěšné");
        Thread.sleep(500);
        //Hlavní stránka
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/')]")).size()!=0,"Tlačítko \"HLAVNÍ STRÁNKA\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/')]")).click();
        System.out.println("Kliknutí na tlačítko \"HLAVNÍ STRÁNKA\"");
        Thread.sleep(1000);

        //Konfigurace treninkovych dresu
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/config/training')]")).size()!=0,"Konfigurace trénínkových dresů není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/config/training')]")).click();
        System.out.println("Konfigurace tréninkových dresů");
        Thread.sleep(1000);
        //01 NAZEV
        Assert.assertTrue(driver.findElements(By.xpath("//div[contains(text(),'NÁZEV')]")).size()!=0,"Sekce 01 NÁZEV není dostupná!");
        driver.findElement(By.xpath("//div[contains(text(),'NÁZEV')]")).click();
        System.out.println("01 název");
        Thread.sleep(500);
        Assert.assertTrue(driver.findElements(By.xpath("//input[@name='teamName']")).size()!=0,"Pole Název není dostupné!");
        WebElement nazevTymu = driver.findElement(By.xpath("//input[@name='teamName']"));
        js.executeScript("arguments[0].value ='" + "SELENIUMTEST" + "'; arguments[0].focus(); arguments[0].blur(); return true", nazevTymu);
        System.out.println("//input[@name='teamName'] - SELENIUMTEST");
        Thread.sleep(3500); //sleep pro nacteni noveho projektu
        Assert.assertEquals("SELENIUMTEST",driver.findElement(By.xpath("//main/div/div/h2")).getText(),"Název týmu se nezobrazuje!");
        System.out.println("Název týmu - SELENIUMTEST");
        //Hotovo dalsi krok
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).size()!=0,"Tlačítko \"HOTOVO, DALŠÍ KROK\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).click();
        System.out.println("Kliknutí na tlačítko \"HOTOVO, DALŠÍ KROK\"");
        Thread.sleep(500);
        //02 BARVY
        Assert.assertTrue(driver.findElements(By.xpath("//div[contains(text(),'BARVY')]")).size()!=0,"Sekce 02 BARVY není dostupná!");
        driver.findElement(By.xpath("//div[contains(text(),'BARVY')]")).click();
        System.out.println("02 BARVY");
        Thread.sleep(500);
        //PRIDAT SADU
        Assert.assertTrue(driver.findElements(By.xpath("//form/div/button[contains(text(),'+ ')]")).size()!=0,"Tlačítko + PŘÍDAT není dostupné!");//       ;
        driver.findElement(By.xpath("//form/div/button[contains(text(),'+ ')]")).click();
        System.out.println("Kliknutí na tlačítko + PŘIDAT SADU");
        Thread.sleep(500);
        //ODEBRAT SADU 2
        Assert.assertTrue(driver.findElements(By.xpath("//label[contains(text(),'Sada 2')]/span")).size()!=0,"Checkbox Sada 2 není dostupné!");
        driver.findElement(By.xpath("//label[contains(text(),'Sada 2')]/span")).click();
        System.out.println("Odebrání Sada 2 (kliknutí na checkbox Sada 2)");
        Thread.sleep(500);

        //Rozbalení palety barev
        Assert.assertTrue(driver.findElements(By.xpath("//main/div/section/ul/li[2]/button/div/div")).size()!=0,"Paleta barev není dostupná!");
        driver.findElement(By.xpath("//main/div/section/ul/li[2]/button/div/div")).click();
        System.out.println("Rozbalení palety barev");
        Thread.sleep(500);

        System.out.println("KONTROLA BAREV");
        List<WebElement> CSSButtons=driver.findElements(By.xpath("//form/fieldset/div[2]/ul/li/button"));

        //Kliknutí na CSS tlacitko hnede barvy
        WebElement hnedaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean hnedaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(76, 55, 43, 1)");
            if(hnedaFound){
                hnedaTlacitko = CSSButtons.get(i); }
        }
        if (hnedaTlacitko != null) {
            hnedaTlacitko.click();
            System.out.println("Barva dresu - hnědá");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva hnědá není dostupná");
            Thread.sleep(750);
        }
        //Kontrola hnede barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(76, 55, 43)")),"Barva dresu není hnědá");
        System.out.println("Kontrola barvy dresu - hnědá");

        //Kliknutí na CSS tlacitko zelena neon barvy
        WebElement zelenaNeonTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean zelenaNeonFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(66, 219, 58, 1)");
            if(zelenaNeonFound){
                zelenaNeonTlacitko = CSSButtons.get(i); }
        }
        if (zelenaNeonTlacitko != null) {
            zelenaNeonTlacitko.click();
            System.out.println("Barva dresu - zelená neon");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva zelená neon není dostupná");
            Thread.sleep(750);
        }
        //Kontrola zelena neon barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(66, 219, 58)")),"Barva dresu není zelená neon");
        System.out.println("Kontrola barvy dresu - zelená neon");

        //Kliknutí na CSS tlacitko gold barvy
        WebElement goldTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean goldFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(213, 170, 115, 1)");
            if(goldFound){
                goldTlacitko = CSSButtons.get(i); }
        }
        if (goldTlacitko != null) {
            goldTlacitko.click();
            System.out.println("Barva dresu - gold");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva gold není dostupná");
            Thread.sleep(750);
        }
        //Kontrola gold barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(213, 170, 115)")),"Barva dresu není gold");
        System.out.println("Kontrola barvy dresu - gold");

        //Kliknutí na CSS tlacitko ruzova baby barvy
        WebElement ruzovaBabyTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean ruzovaBabyFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(245, 167, 215, 1)");
            if(ruzovaBabyFound){
                ruzovaBabyTlacitko = CSSButtons.get(i); }
        }
        if (ruzovaBabyTlacitko != null) {
            ruzovaBabyTlacitko.click();
            System.out.println("Barva dresu - růžová baby");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva růžová baby není dostupná");
            Thread.sleep(750);
        }
        //Kontrola ruzova baby barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(245, 167, 215)")),"Barva dresu není růžová baby");
        System.out.println("Kontrola barvy dresu - růžová baby");



        //Kliknutí na CSS tlacitko oranzove barvy
        WebElement oranzovaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean oranzovaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 126, 0, 1)");
            if(oranzovaFound){
                oranzovaTlacitko = CSSButtons.get(i); }
        }
        if (oranzovaTlacitko != null) {
            oranzovaTlacitko.click();
            System.out.println("Barva dresu - oranžová");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva oranžová není dostupná");
            Thread.sleep(750);
        }
        //Kontrola oranzove barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 126, 0)")),"Barva dresu není oranžová!");
        System.out.println("Kontrola barvy dresu - oranžová");

        //Kliknutí na CSS tlacitko zluta pens barvy
        WebElement zlutaPensTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean zlutaPensFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 180, 0, 1)");
            if(zlutaPensFound){
                zlutaPensTlacitko = CSSButtons.get(i); }
        }
        if (zlutaPensTlacitko != null) {
            zlutaPensTlacitko.click();
            System.out.println("Barva dresu - žlutá pens");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva žlutá pens není dostupná");
            Thread.sleep(750);
        }
        //Kontrola žlutá pens barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 180, 0)")),"Barva dresu není žlutá pens!");
        System.out.println("Kontrola barvy dresu - žlutá pens");

        //Kliknutí na CSS tlacitko fialová barvy
        WebElement fialovaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean fialovaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(87, 42, 132, 1)");
            if(fialovaFound){
                fialovaTlacitko = CSSButtons.get(i); }
        }
        if (fialovaTlacitko != null) {
            fialovaTlacitko.click();
            System.out.println("Barva dresu - fialová");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva fialová není dostupná");
            Thread.sleep(750);
        }
        //Kontrola fialová barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(87, 42, 132)")),"Barva dresu není fialová!");
        System.out.println("Kontrola barvy dresu - fialová");

        //Kliknutí na CSS tlacitko oranzova fylers barvy
        WebElement oranzovaFlyersTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean oranzovaFlyersFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 90, 38, 1)");
            if(oranzovaFlyersFound){
                oranzovaFlyersTlacitko = CSSButtons.get(i); }
        }
        if (oranzovaFlyersTlacitko != null) {
            oranzovaFlyersTlacitko.click();
            System.out.println("Barva dresu - oranžová flyers");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva oranžová flyers není dostupná");
            Thread.sleep(750);
        }
        //Kontrola oranzova flyers barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 90, 38)")),"Barva dresu není oranžová flyers!");
        System.out.println("Kontrola barvy dresu - oranžová flyers");

        //Kliknutí na CSS tlacitko červená cihla barvy
        WebElement cervenaCihlaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean cervenaCihlaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(148, 0, 18, 1)");
            if(cervenaCihlaFound){
                cervenaCihlaTlacitko = CSSButtons.get(i); }
        }
        if (cervenaCihlaTlacitko != null) {
            cervenaCihlaTlacitko.click();
            System.out.println("Barva dresu - červená cihla");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva červená cihla není dostupná");
            Thread.sleep(750);
        }
        //Kontrola červená cihla barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(148, 0, 18)")),"Barva dresu není červená cihla!");
        System.out.println("Kontrola barvy dresu - červená cihla");

        //Kliknutí na CSS tlacitko červená burgundy barvy
        WebElement cervenaBurgundyTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean cervenaBurgundyFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(132, 45, 64, 1)");
            if(cervenaBurgundyFound){
                cervenaBurgundyTlacitko = CSSButtons.get(i); }
        }
        if (cervenaBurgundyTlacitko != null) {
            cervenaBurgundyTlacitko.click();
            System.out.println("Barva dresu - červená burgundy");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva červená burgundy není dostupná");
            Thread.sleep(750);
        }
        //Kontrola červená burgundy barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(132, 45, 64)")),"Barva dresu není červená burgundy!");
        System.out.println("Kontrola barvy dresu - červená burgundy");

        //Kliknutí na CSS tlacitko červená barvy
        WebElement cervenaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean cervenaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(244, 0, 55, 1)");
            if(cervenaFound){
                cervenaTlacitko = CSSButtons.get(i); }
        }
        if (cervenaTlacitko != null) {
            cervenaTlacitko.click();
            System.out.println("Barva dresu - červená");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva červená není dostupná");
            Thread.sleep(750);
        }
        //Kontrola červená barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(244, 0, 55)")),"Barva dresu není červená!");
        System.out.println("Kontrola barvy dresu - červená");

        //Kliknutí na CSS tlacitko modrá ice barvy
        WebElement modraIceTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean modraIceFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(153, 217, 217, 1)");
            if(modraIceFound){
                modraIceTlacitko = CSSButtons.get(i); }
        }
        if (modraIceTlacitko != null) {
            modraIceTlacitko.click();
            System.out.println("Barva dresu - modrá ice");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva modrá ice není dostupná");
            Thread.sleep(750);
        }
        //Kontrola modrá ice barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(153, 217, 217)")),"Barva dresu není modrá ice!");
        System.out.println("Kontrola barvy dresu - modrá ice");

        //Kliknutí na CSS tlacitko modrá sharks barvy
        WebElement modraSharksTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean modraSharksFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(0, 129, 155, 1)");
            if(modraSharksFound){
                modraSharksTlacitko = CSSButtons.get(i); }
        }
        if (modraSharksTlacitko != null) {
            modraSharksTlacitko.click();
            System.out.println("Barva dresu - modrá sharks");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva modrá sharks není dostupná");
            Thread.sleep(750);
        }
        //Kontrola modrá sharks barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(0, 129, 155)")),"Barva dresu není modrá sharks!");
        System.out.println("Kontrola barvy dresu - modrá sharks");

        //Kliknutí na CSS tlacitko modrá navy barvy
        WebElement modraNavyTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean modraNavyFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(0, 33, 95, 1)");
            if(modraNavyFound){
                modraNavyTlacitko = CSSButtons.get(i); }
        }
        if (modraNavyTlacitko != null) {
            modraNavyTlacitko.click();
            System.out.println("Barva dresu - modrá navy");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva modrá navy není dostupná");
            Thread.sleep(750);
        }
        //Kontrola modrá navy barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(0, 33, 95)")),"Barva dresu není modrá navy!");
        System.out.println("Kontrola barvy dresu - modrá navy");

        //Kliknutí na CSS tlacitko modrá royal barvy
        WebElement modraRoyalTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean modraRoyalFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(0, 96, 179, 1)");
            if(modraRoyalFound){
                modraRoyalTlacitko = CSSButtons.get(i); }
        }
        if (modraRoyalTlacitko != null) {
            modraRoyalTlacitko.click();
            System.out.println("Barva dresu - modrá royal");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva modrá royal není dostupná");
            Thread.sleep(750);
        }
        //Kontrola modrá royal barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(0, 96, 179)")),"Barva dresu není modrá royal!");
        System.out.println("Kontrola barvy dresu - modrá royal");

        //Kliknutí na CSS tlacitko bílá barvy
        WebElement bilaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean bilaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 255, 255, 1)");
            if(bilaFound){
                bilaTlacitko = CSSButtons.get(i); }
        }
        if (bilaTlacitko != null) {
            bilaTlacitko.click();
            System.out.println("Barva dresu - bílá");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva bílá není dostupná");
            Thread.sleep(750);
        }
        //Kontrola modrá royal barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 255, 255)")),"Barva dresu není bílá!");
        System.out.println("Kontrola barvy dresu - modrá royal");

        //Kliknutí na CSS tlacitko ruzova neon barvy
        WebElement ruzovaNeonTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean ruzovaNeonFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(245, 81, 151, 1)");
            if(ruzovaNeonFound){
                ruzovaNeonTlacitko = CSSButtons.get(i); }
        }
        if (ruzovaNeonTlacitko != null) {
            ruzovaNeonTlacitko.click();
            System.out.println("Barva dresu - růžová neon");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva růžová neon není dostupná");
            Thread.sleep(750);
        }
        //Kontrola ruzova neon barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(245, 81, 151)")),"Barva dresu není růžová neon");
        System.out.println("Kontrola barvy dresu - růžová neon");

        //Kliknutí na CSS tlacitko šedá silver barvy
        WebElement sedaSilverTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean sedaSilverFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(190, 190, 190, 1)");
            if(sedaSilverFound){
                sedaSilverTlacitko = CSSButtons.get(i); }
        }
        if (sedaSilverTlacitko != null) {
            sedaSilverTlacitko.click();
            System.out.println("Barva dresu - šedá silver");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva šedá silver není dostupná");
            Thread.sleep(750);
        }
        //Kontrola seda silver barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(190, 190, 190)")),"Barva dresu není šedá silver!");
        System.out.println("Kontrola barvy dresu - šedá silver");

        //Kliknutí na CSS tlacitko šedá steel barvy
        WebElement sedaSteelTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean sedaSteelFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(78, 78, 78, 1)");
            if(sedaSteelFound){
                sedaSteelTlacitko = CSSButtons.get(i); }
        }
        if (sedaSteelTlacitko != null) {
            sedaSteelTlacitko.click();
            System.out.println("Barva dresu - šedá steel");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva šedá steel není dostupná");
            Thread.sleep(750);
        }
        //Kontrola seda steel barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(78, 78, 78)")),"Barva dresu není šedá steel!");
        System.out.println("Kontrola barvy dresu - šedá steel");

        //Kliknutí na CSS tlacitko cerna barvy
        WebElement cernaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean cernaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(0, 0, 0, 1)");
            if(cernaFound){
                cernaTlacitko = CSSButtons.get(i); }
        }
        if (cernaTlacitko != null) {
            cernaTlacitko.click();
            System.out.println("Barva dresu - černá");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva černá není dostupná");
            Thread.sleep(750);
        }
        //Kontrola cerna barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(0, 0, 0)")),"Barva dresu není černá!");
        System.out.println("Kontrola barvy dresu - černá");

        //Kliknutí na CSS tlacitko světle zelená barvy
        WebElement svetleZelenaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean svetleZelenaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(48, 183, 109, 1)");
            if(svetleZelenaFound){
                svetleZelenaTlacitko = CSSButtons.get(i); }
        }
        if (svetleZelenaTlacitko != null) {
            svetleZelenaTlacitko.click();
            System.out.println("Barva dresu - světle zelená");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva světle zelená není dostupná");
            Thread.sleep(750);
        }
        //Kontrola světle zelená barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(48, 183, 109)")),"Barva dresu není světle zelená!");
        System.out.println("Kontrola barvy dresu - světle zelená");

        //Kliknutí na CSS tlacitko zlute barvy
        WebElement zlutaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean zlutaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 253, 0, 1)");
            if(zlutaFound){
                zlutaTlacitko = CSSButtons.get(i); }
        }
        if (zlutaTlacitko != null) {
            zlutaTlacitko.click();
            System.out.println("Barva dresu - žlutá");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva žlutá není dostupná");
            Thread.sleep(750);
        }
        //Kontrola zlute barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 253, 0)")),"Barva dresu není žlutá");
        System.out.println("Kontrola barvy dresu - žlutá");

        //Kliknutí na CSS tlacitko tmavě zelená barvy
        WebElement tmaveZelenaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean tmaveZelenaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(2, 102, 45, 1)");
            if(tmaveZelenaFound){
                tmaveZelenaTlacitko = CSSButtons.get(i); }
        }
        if (tmaveZelenaTlacitko != null) {
            tmaveZelenaTlacitko.click();
            System.out.println("Barva dresu - tmavě zelená");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva tmavě zelená není dostupná");
            Thread.sleep(750);
        }
        //Kontrola světle zelená barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(2, 102, 45)")),"Barva dresu není tmavě zelená!");
        System.out.println("Kontrola barvy dresu - tmavě zelená");

        //Kliknutí na CSS tlacitko bilá/žlutá zelená barvy
        WebElement bilaZlutaTlacitko = null;
        for (int i = 0; i<CSSButtons.size();i++) {
            boolean bilaZlutaFound = CSSButtons.get(i).getCssValue("background-color").equals("rgba(255, 238, 222, 1)");
            if(bilaZlutaFound){
                bilaZlutaTlacitko = CSSButtons.get(i); }
        }
        if (bilaZlutaTlacitko != null) {
            bilaZlutaTlacitko.click();
            System.out.println("Barva dresu - bilá/žlutá");
            Thread.sleep(750);
        }
        else {
            System.out.println("Barva bilá/žlutá není dostupná");
            Thread.sleep(750);
        }
        //Kontrola bilá/žlutá barvy dresu
        Assert.assertTrue((driver.findElement(By.xpath("//*[starts-with(@id,'path')]")).getCssValue("fill").equals("rgb(255, 238, 222)")),"Barva dresu není bilá/žlutá!");
        System.out.println("Kontrola barvy dresu - bilá/žlutá");

        //Hotovo dalsi krok
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).size()!=0,"Tlačítko \"HOTOVO, DALŠÍ KROK\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).click();
        System.out.println("Kliknutí na tlačítko \"HOTOVO, DALŠÍ KROK\"");
        Thread.sleep(500);

        //03 logo
        Assert.assertTrue(driver.findElements(By.xpath("//div[contains(text(),'LOGO')]")).size()!=0,"Sekce 03 LOGO není dostupná!");
        driver.findElement(By.xpath("//div[contains(text(),'LOGO')]")).click();
        System.out.println("03 LOGO");
        Thread.sleep(1000);
        //Vybrat logo z knihovny
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'VYBRAT Z NAŠÍ KNIHOVNY LOG')]")).size()!=0,"Tlačítko \"VYBRAT Z NAŠÍ KNIHOVNY LOG\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'VYBRAT Z NAŠÍ KNIHOVNY LOG')]")).click();
        System.out.println("Kliknutí na tlačítko \"VYBRAT Z NAŠÍ KNIHOVNY LOG\"");
        Thread.sleep(500);
        //Logo 1
        Assert.assertTrue(driver.findElements(By.xpath("//img[@src='//dresville-admin.utipa.info/files//logos/37.png']")).size()!=0,"Logo 1 není dostupné!");
        driver.findElement(By.xpath("//section/button/img[@src='//dresville-admin.utipa.info/files//logos/37.png']")).click();
        System.out.println("Logo - Logo 1");
        Thread.sleep(1000);
        //Assert logo 1
//        wdw.until(ExpectedConditions.visibilityOf(driver.findElement(By.xpath("//img[@src='//dresville-admin.utipa.info/files//logos/10.png']"))));
        Assert.assertTrue(driver.findElements(By.xpath("//img[@src='//dresville-admin.utipa.info/files//logos/37.png']")).size()!=0, "Logo není zobrazené!");
        System.out.println("Kontrola loga - Logo 1");

        //Hotovo dalsi krok
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).size()!=0,"Tlačítko \"HOTOVO, DALŠÍ KROK\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).click();
        System.out.println("Kliknutí na tlačítko \"HOTOVO, DALŠÍ KROK\"");
        Thread.sleep(1000);

//        //04 doplnky
//        //Hotovo dalsi krok
//        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).size()!=0,"Tlačítko \"HOTOVO, DALŠÍ KROK\" není dostupné!");
//        driver.findElement(By.xpath("//button[contains(text(),'HOTOVO, DALŠÍ KROK')]")).click();
//        System.out.println("Kliknutí na tlačítko \"HOTOVO, DALŠÍ KROK\"");
//        Thread.sleep(500);

        //Kliknutí na hlavní menu
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(@href,'/admin')]")).size()!=0,"Tlačítko \"HLAVNÍ MENU\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(@href,'/admin')]")).click();
        System.out.println("Kliknutí na tlačítko \"HLAVNÍ MENU\"");
        Thread.sleep(1000);
        //Kontrola prave vytvoreneho projektu
        Assert.assertEquals("SELENIUMTEST",driver.findElement(By.xpath("//li/p")).getText(),"Projekt nenalezen!");
        System.out.println("Projekt SELENIUMTEST nalezen");
        //Načtení právě vytvořeného projektu
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(text(),'Přejít k návrhu')]")).size()!=0,"Tlačítko \"Přejít k návrhu\" není dostupné!");
        System.out.println("Tlačítko \"Přejít k návrhu\" je dostupné");
        driver.findElement(By.xpath("//a[contains(text(),'Přejít k návrhu')]")).click();
        System.out.println("Kliknutí na tlačítko \"Přejít k návrhu\"");
        Thread.sleep(1000);
        wdw.until(ExpectedConditions.visibilityOf(driver.findElement(By.xpath("//main/div/div/h2[contains(text(),'SELENIUMTEST')]"))));
        Assert.assertEquals("SELENIUMTEST",driver.findElement(By.xpath("//main/div/div/h2")).getText(),"Název týmu se nezobrazuje!");
        System.out.println("Název týmu - SELENIUMTEST");
        //Smazáni projektu (začít znovu)
        Assert.assertTrue(driver.findElements(By.xpath("//button/span[contains(text(),'Začít znovu')]")).size()!=0,"Tlačítko \"Začít znovu\" není dostupné!");
        System.out.println("Tlačítko \"Začít znovu\" je dostupné");
        driver.findElement(By.xpath("//button/span[contains(text(),'Začít znovu')]")).click();
        System.out.println("Kliknutí na tlačítko \"Začít znovu\"");
        Thread.sleep(500);
        Assert.assertTrue(driver.findElements(By.xpath("//button[contains(text(),'Chci začít znovu')]")).size()!=0,"Tlačítko \"Chci začít znovu\" není dostupné!");
        driver.findElement(By.xpath("//button[contains(text(),'Chci začít znovu')]")).click();
        System.out.println("Kliknutí na tlačítko \"Chci začít znovu\"");
        Thread.sleep(1000);

        //Odhlášení
        Assert.assertTrue(driver.findElements(By.xpath("//a[contains(text(),'ODHLÁSIT SE')]")).size()!=0,"Tlačítko \"ODHLÁSIT SE\" není dostupné!");
        driver.findElement(By.xpath("//a[contains(text(),'ODHLÁSIT SE')]")).click();
        Thread.sleep(1000);
        Assert.assertTrue(driver.findElements(By.xpath("//header/a/button[contains(text(),'PŘIHLÁSIT SE')]")).size()!=0,"Tlačítko \"PŘIHLÁSIT SE\" není dostupné!");
        System.out.println("Odhlášení úspěšné - tlačítko \"PŘIHLÁSIT SE\" je dostupné ");

    }
}