package cz.atos.Selenium.base;

import com.typesafe.config.Config;
import org.apache.log4j.Logger;
import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.List;

public class MouseMethods {
    private static final Logger logger = Logger.getLogger(MouseMethods.class);
    public static void ClickOnButtonIfExists(WebDriver driver, Config buttonConfig) throws InterruptedException {
        logger.info("ClickOnButtonIfExists");
        logger.info(buttonConfig.getString("button"));
        String buttonPath = buttonConfig.getString("button");
        int wait = 15;
        if(buttonConfig.hasPath("wdw")) {
            wait = buttonConfig.getInt("wdw");
        }
        WebDriverWait wdw = new WebDriverWait(driver, wait);

        wdw.until(ExpectedConditions.elementToBeClickable(By.xpath(buttonPath)));

        driver.findElement(By.xpath(buttonPath)).click();
        Thread.sleep(1000);
    }

    public static void ClickOnButtonIfCSSExists(WebDriver driver, Config buttonConfig) throws InterruptedException {
        logger.info("ClickOnButtonIfCSSExists");
        logger.info(buttonConfig.getString("CSSButton"));
        String buttonPath = buttonConfig.getString("CSSButton");
        String CSSValue = buttonConfig.getString("CSSValue");
        String CSSField = buttonConfig.getString("CSSField");

        int wait = 15;
        if(buttonConfig.hasPath("wdw")) {
            wait = buttonConfig.getInt("wdw");
        }
        WebDriverWait wdw = new WebDriverWait(driver, wait);

        wdw.until(ExpectedConditions.elementToBeClickable(By.xpath(buttonPath)));

        List<WebElement> CSSButtons=driver.findElements(By.xpath(buttonPath));
        WebElement foundButton = null;
        for (WebElement cssButton : CSSButtons) {
            boolean CSSValueFound = cssButton.getCssValue(CSSField).equals(CSSValue);
            if (CSSValueFound) {
                foundButton = cssButton;
            }
        }
        if (foundButton != null) {
            foundButton.click();
            Thread.sleep(1000);
        }
        else {
            logger.error("Color button not found!");
        }
    }


    public static void DblClickOnButtonIfExists(WebDriver driver, Config buttonConfig) throws InterruptedException {
        logger.info("DblClickOnButtonIfExists");
        logger.info(buttonConfig.getString("dblClick"));
        String buttonPath = buttonConfig.getString("dblClick");
        int wait = 15;
        if(buttonConfig.hasPath("wdw")) {
            wait = buttonConfig.getInt("wdw");
        }
        WebDriverWait wdw = new WebDriverWait(driver, wait);

        wdw.until(ExpectedConditions.elementToBeClickable(By.xpath(buttonPath)));

        Actions act = new Actions(driver);
        act.moveToElement(driver.findElement(By.xpath(buttonPath))).doubleClick().build().perform();
        Thread.sleep(1000);
    }

    public static void RightClickOnButtonIfExists(WebDriver driver, Config buttonConfig) throws InterruptedException {
        logger.info("RightClickOnButtonIfExists");
        logger.info(buttonConfig.getString("rightClick"));
        String buttonPath = buttonConfig.getString("rightClick");
        JavascriptExecutor js = (JavascriptExecutor) driver;
        int wait = 15;
        if(buttonConfig.hasPath("wdw")) {
            wait = buttonConfig.getInt("wdw");
        }
        WebDriverWait wdw = new WebDriverWait(driver, wait);

        wdw.until(ExpectedConditions.elementToBeClickable(By.xpath(buttonPath)));

        WebElement element = driver.findElement(By.xpath(buttonPath));
        String script = "var evt = document.createEvent('MouseEvents');"
                + "var RIGHT_CLICK_BUTTON_CODE = 2;"
                + "evt.initMouseEvent('contextmenu', true, true, window, 1, 0, 0, 0, 0, false, " +
                " false, false, false, RIGHT_CLICK_BUTTON_CODE, null);"
                + "arguments[0].dispatchEvent(evt);";
        js.executeScript(script, element);

        Thread.sleep(1000);
    }
}
